Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.message.storage
Interface TempPath

    public interface TempPath

Version:
  $Id: TempPath.java,v 1.2 2004/10/02 12:41:11 ntherning Exp $

Method Summary
`TempFile` | `createTempFile()` Creates a new temporary file.
`TempFile` | `createTempFile(java.lang.String prefix, java.lang.String suffix)` Creates a new temporary file.
`TempFile` | `createTempFile(java.lang.String prefix, java.lang.String suffix, boolean allowInMemory)` Creates a new temporary file.
`TempPath` | `createTempPath()`
`TempPath` | `createTempPath(java.lang.String prefix)`
`void` | `delete()`
`java.lang.String` | `getAbsolutePath()`

Method Detail

### createTempPath

    TempPath createTempPath()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### createTempPath

    TempPath createTempPath(java.lang.String prefix)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### createTempFile

    TempFile createTempFile()
                            throws java.io.IOException

  Creates a new temporary file. Wheter it will be be created in memory or on disk is up to to the implementation. The prefix will be empty and the suffix will be `.tmp` if created on disk.

  Returns:
    the temporary file.
  Throws:
    `java.io.IOException`

### createTempFile

    TempFile createTempFile(java.lang.String prefix,
                            java.lang.String suffix)
                            throws java.io.IOException

  Creates a new temporary file. Wheter it will be be created in memory or on disk is up to to the implementation. The prefix and suffix can be set by the user.

  Parameters:
    `prefix` - the prefix to use. `null` gives no prefix.
    `suffix` - the suffix to use. `null` gives `.tmp`.
  Returns:
    the temporary file.
  Throws:
    `java.io.IOException`

### createTempFile

    TempFile createTempFile(java.lang.String prefix,
                            java.lang.String suffix,
                            boolean allowInMemory)
                            throws java.io.IOException

  Creates a new temporary file. Wheter it will be be created in memory or on disk can be specified using the `allowInMemory` parameter. If the implementation doesn't support in-memory files the new file will be created on disk. The prefix and suffix can be set by the user.

  Parameters:
    `prefix` - the prefix to use. `null` gives no prefix.
    `suffix` - the suffix to use. `null` gives `.tmp`.
    `allowInMemory` - if `true` the file MIGHT be created in memory if supported by the implentation. If `false` the file MUST be created on disk.
  Returns:
    the temporary file.
  Throws:
    `java.io.IOException`

### getAbsolutePath

    java.lang.String getAbsolutePath()

### delete

    void delete()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.